Package org.firebirdsql.jdbc

## Class JavaTypeNameConstants

- java.lang.Object
- - org.firebirdsql.jdbc.JavaTypeNameConstants

    @InternalApi
    public final class JavaTypeNameConstants
    extends java.lang.Object

String constants of the Java type names used in metadata and field access.

Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `ARRAY_CLASS_NAME`
`static java.lang.String` `BIG_DECIMAL_CLASS_NAME`
`static java.lang.String` `BIG_INTEGER_CLASS_NAME`
`static java.lang.String` `BLOB_CLASS_NAME`
`static java.lang.String` `BOOLEAN_CLASS_NAME`
`static java.lang.String` `BYTE_ARRAY_CLASS_NAME`
`static java.lang.String` `BYTE_CLASS_NAME`
`static java.lang.String` `CALENDAR_CLASS_NAME`
`static java.lang.String` `CLOB_CLASS_NAME`
`static java.lang.String` `DECIMAL_CLASS_NAME`
`static java.lang.String` `DECIMAL128_CLASS_NAME`
`static java.lang.String` `DECIMAL32_CLASS_NAME`
`static java.lang.String` `DECIMAL64_CLASS_NAME`
`static java.lang.String` `DOUBLE_CLASS_NAME`
`static java.lang.String` `FB_BLOB_CLASS_NAME`
`static java.lang.String` `FB_CLOB_CLASS_NAME`
`static java.lang.String` `FB_ROW_ID_CLASS_NAME`
`static java.lang.String` `FIREBIRD_BLOB_CLASS_NAME`
`static java.lang.String` `FLOAT_CLASS_NAME`
`static java.lang.String` `INPUT_STREAM_CLASS_NAME`
`static java.lang.String` `INTEGER_CLASS_NAME`
`static java.lang.String` `LOCAL_DATE_CLASS_NAME`
`static java.lang.String` `LOCAL_DATE_TIME_CLASS_NAME`
`static java.lang.String` `LOCAL_TIME_CLASS_NAME`
`static java.lang.String` `LONG_CLASS_NAME`
`static java.lang.String` `NCLOB_CLASS_NAME`
`static java.lang.String` `OBJECT_CLASS_NAME`
`static java.lang.String` `OFFSET_DATE_TIME_CLASS_NAME`
`static java.lang.String` `OFFSET_TIME_CLASS_NAME`
`static java.lang.String` `RAW_DATE_TIME_STRUCT_CLASS_NAME`
`static java.lang.String` `READER_CLASS_NAME`
`static java.lang.String` `ROW_ID_CLASS_NAME`
`static java.lang.String` `SHORT_CLASS_NAME`
`static java.lang.String` `SQL_DATE_CLASS_NAME`
`static java.lang.String` `STRING_CLASS_NAME`
`static java.lang.String` `TIME_CLASS_NAME`
`static java.lang.String` `TIMESTAMP_CLASS_NAME`
`static java.lang.String` `UTIL_DATE_CLASS_NAME`
`static java.lang.String` `ZONED_DATE_TIME_CLASS_NAME`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECT_CLASS_NAME

    public static final java.lang.String OBJECT_CLASS_NAME

See Also:
  Constant Field Values

#### BOOLEAN_CLASS_NAME

    public static final java.lang.String BOOLEAN_CLASS_NAME

See Also:
  Constant Field Values

#### BYTE_CLASS_NAME

    public static final java.lang.String BYTE_CLASS_NAME

See Also:
  Constant Field Values

#### SHORT_CLASS_NAME

    public static final java.lang.String SHORT_CLASS_NAME

See Also:
  Constant Field Values

#### INTEGER_CLASS_NAME

    public static final java.lang.String INTEGER_CLASS_NAME

See Also:
  Constant Field Values

#### LONG_CLASS_NAME

    public static final java.lang.String LONG_CLASS_NAME

See Also:
  Constant Field Values

#### BIG_INTEGER_CLASS_NAME

    public static final java.lang.String BIG_INTEGER_CLASS_NAME

See Also:
  Constant Field Values

#### FLOAT_CLASS_NAME

    public static final java.lang.String FLOAT_CLASS_NAME

See Also:
  Constant Field Values

#### DOUBLE_CLASS_NAME

    public static final java.lang.String DOUBLE_CLASS_NAME

See Also:
  Constant Field Values

#### BIG_DECIMAL_CLASS_NAME

    public static final java.lang.String BIG_DECIMAL_CLASS_NAME

See Also:
  Constant Field Values

#### DECIMAL_CLASS_NAME

    public static final java.lang.String DECIMAL_CLASS_NAME

See Also:
  Constant Field Values

#### DECIMAL32_CLASS_NAME

    public static final java.lang.String DECIMAL32_CLASS_NAME

See Also:
  Constant Field Values

#### DECIMAL64_CLASS_NAME

    public static final java.lang.String DECIMAL64_CLASS_NAME

See Also:
  Constant Field Values

#### DECIMAL128_CLASS_NAME

    public static final java.lang.String DECIMAL128_CLASS_NAME

See Also:
  Constant Field Values

#### STRING_CLASS_NAME

    public static final java.lang.String STRING_CLASS_NAME

See Also:
  Constant Field Values

#### CLOB_CLASS_NAME

    public static final java.lang.String CLOB_CLASS_NAME

See Also:
  Constant Field Values

#### NCLOB_CLASS_NAME

    public static final java.lang.String NCLOB_CLASS_NAME

See Also:
  Constant Field Values

#### READER_CLASS_NAME

    public static final java.lang.String READER_CLASS_NAME

See Also:
  Constant Field Values

#### BLOB_CLASS_NAME

    public static final java.lang.String BLOB_CLASS_NAME

See Also:
  Constant Field Values

#### FIREBIRD_BLOB_CLASS_NAME

    public static final java.lang.String FIREBIRD_BLOB_CLASS_NAME

See Also:
  Constant Field Values

#### FB_BLOB_CLASS_NAME

    public static final java.lang.String FB_BLOB_CLASS_NAME

See Also:
  Constant Field Values

#### FB_CLOB_CLASS_NAME

    public static final java.lang.String FB_CLOB_CLASS_NAME

See Also:
  Constant Field Values

#### BYTE_ARRAY_CLASS_NAME

    public static final java.lang.String BYTE_ARRAY_CLASS_NAME

See Also:
  Constant Field Values

#### INPUT_STREAM_CLASS_NAME

    public static final java.lang.String INPUT_STREAM_CLASS_NAME

See Also:
  Constant Field Values

#### TIMESTAMP_CLASS_NAME

    public static final java.lang.String TIMESTAMP_CLASS_NAME

See Also:
  Constant Field Values

#### UTIL_DATE_CLASS_NAME

    public static final java.lang.String UTIL_DATE_CLASS_NAME

See Also:
  Constant Field Values

#### CALENDAR_CLASS_NAME

    public static final java.lang.String CALENDAR_CLASS_NAME

See Also:
  Constant Field Values

#### LOCAL_DATE_TIME_CLASS_NAME

    public static final java.lang.String LOCAL_DATE_TIME_CLASS_NAME

See Also:
  Constant Field Values

#### OFFSET_DATE_TIME_CLASS_NAME

    public static final java.lang.String OFFSET_DATE_TIME_CLASS_NAME

See Also:
  Constant Field Values

#### ZONED_DATE_TIME_CLASS_NAME

    public static final java.lang.String ZONED_DATE_TIME_CLASS_NAME

See Also:
  Constant Field Values

#### TIME_CLASS_NAME

    public static final java.lang.String TIME_CLASS_NAME

See Also:
  Constant Field Values

#### LOCAL_TIME_CLASS_NAME

    public static final java.lang.String LOCAL_TIME_CLASS_NAME

See Also:
  Constant Field Values

#### OFFSET_TIME_CLASS_NAME

    public static final java.lang.String OFFSET_TIME_CLASS_NAME

See Also:
  Constant Field Values

#### SQL_DATE_CLASS_NAME

    public static final java.lang.String SQL_DATE_CLASS_NAME

See Also:
  Constant Field Values

#### LOCAL_DATE_CLASS_NAME

    public static final java.lang.String LOCAL_DATE_CLASS_NAME

See Also:
  Constant Field Values

#### RAW_DATE_TIME_STRUCT_CLASS_NAME

    public static final java.lang.String RAW_DATE_TIME_STRUCT_CLASS_NAME

See Also:
  Constant Field Values

#### ARRAY_CLASS_NAME

    public static final java.lang.String ARRAY_CLASS_NAME

See Also:
  Constant Field Values

#### ROW_ID_CLASS_NAME

    public static final java.lang.String ROW_ID_CLASS_NAME

See Also:
  Constant Field Values

#### FB_ROW_ID_CLASS_NAME

    public static final java.lang.String FB_ROW_ID_CLASS_NAME

See Also:
  Constant Field Values